Ошибка обновления ПО

Аватар пользователя Slavianin

Здравствуйте!
Линуксом пользуюсь впервые. Долго выбирал из многочисленных его разновидностей и вот мой выбор остановился на ASPlinux 12.
Установив его на комп был приятно удивлен что в принципе все не обходимое для работы в нем уже есть . бесплатный офис, почтовик, даже браузер устанавливать не пришлось. Все просто супер.
Проблема появилась после того как решил залогинится в pidgin, программа написала что используется старая версия, начал обновлять, нашлось 214 обновлений.
но к сожалению установить их так и не смог система выдала следующую ошибку
file /usr/lib/libsmbclient.so.0 conflicts between attempted installs of samba-common-3.0.33-3.15.0.120asp.1 and libsmbclient-3.0.28a-1.0.120asp
Заранее благодарен за помощь

Аватар пользователя Обелиск

Re: Ошибка обновления ПО

только сегодня скачал АСП-14 установил и на тебе - такие же грабли(, пришлось ставить Убунту........... АСП похоже умирает..............

Аватар пользователя Телепат_

Re: Ошибка обновления ПО

А зачем вам самба? Снесите ее нафиг
чтобы посмотреть попобробнее в чём именно проблема, запустите либо в отладчике, либо в консоли.

PS. И.. Почему убунта???? Дрянь редкостная... Я понимаю, СуСе, Центос/Федора, Генту и слакварь.. даже мандрива

Аватар пользователя Обелиск

Re: Ошибка обновления ПО

) Просто под рукой больше ни чего не было......... не, ну как вариант можно было ХР установить......... но сам понимаете)

Аватар пользователя Slavianin

Re: Ошибка обновления ПО

до удаления самбы еще не добрался.
выскочила очередная проблема поиск обновлений не начинается пишет None. при открытие yum пишет что не может найти репозитории. Также не могу теперь открыть "Установка и удаление программ".
На Винде бы систему откатил на пару дней назад. Но для того чтобы не заниматься этим Линукс и устанавливал.

Аватар пользователя Телепат_

Re: Ошибка обновления ПО

Посмотрите, доступны ли репозитарии.
Мои рекоментации - натравить их на зеркало yandex.

Аватар пользователя Slavianin

Re: Ошибка обновления ПО

Подскажите как это делается

Аватар пользователя Телепат_

Re: Ошибка обновления ПО

Slavianin писал(а):
Подскажите как это делается

да как обычно. Попытаться "зайти" на них по требуемому протоколу.
В помощь man ping, man nmap.

Изменение настроек - в /etc/yum.conf.d

man yum, man yum.conf.d, да и сами файлы прекрасно откомментированы, так что там всё понятно.

Аватар пользователя Slavianin

Re: Ошибка обновления ПО

вот содержание моего файлоа ASPlinux..repo
[asplinux]
name=ASPLinux 12 - $basearch

# Moscow
baseurl=http://download.asplinux.ru/$basearch/RPMS.12/

# UA-IX only
#baseurl=ftp://ftp.asplinux.com.ua/pub/$basearch/RPMS.12/

enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-asplinux

если я все правильно понял моя задача поменять адрес на
http://ftp.yandex.ru/asplinux/

прошу прощения, но человеку испорченному виндой сначала не очень все понятно

Аватар пользователя Телепат_

Re: Ошибка обновления ПО

Цитата:
если я все правильно понял моя задача поменять адрес на
http://ftp.yandex.ru/asplinux/

Если там у вас лежит репозитарий, то да. Главное указать правильно то место, где лежит дескриптор репозитария(файл *repo)
Можете репозитарий целиком скачать на локальный ресурс и сделать репозитарий локальный.

man createrepo

Цитата:
прошу прощения, но человеку испорченному виндой сначала не очень все понятно

Я поэтому даю ссылки на документацию.
а что именно там не понятно?

Аватар пользователя Slavianin

Re: Ошибка обновления ПО

А не могли бы Вы поподробнее описать как это делается

Аватар пользователя телпат_

Re: Ошибка обновления ПО

Тоесть вы не поняли что написано в man createrepo

То есть еще подробнее чем в man или здесь?

Да очень просто. сливается всё необходимое в дирректорию и выполняется createrepo.
В документации man createrepo всё очень подробно расписано

RSS-материал